SDL_UnsetEnvironmentVariable(3)

NAME
SDL_UnsetEnvironmentVariable - Clear a variable from the environment.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

bool SDL_UnsetEnvironmentVariable(SDL_Environment *env, const char *name);

FUNCTION PARAMETERS

env the environment to modify.

name
    the name of the variable to unset.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetEnvironment(3), SDL_CreateEnvironment(3), SDL_GetEnvironmentVariable(3), SDL_GetEnvironmentVariables(3), SDL_SetEnvironmentVariable(3), SDL_UnsetEnvironmentVariable(3)